<div class="page-items-list">
  <div class="items-list" *ngIf="items$ | async as items" [class.items-list--has-items]="items.length">
    <ng-container *ngIf="items.length > 0; else noItems">
      <div *ngFor="let item of items" class="item">
        <div class="item__header">
          <h3 class="item__name"><a [routerLink]="['/item', item.id]">{{item.name}}</a></h3>
          <p class="item__id">id:{{item.id}}</p>
        </div>
        <p class="item__description">{{item.description}}</p>
        <div class="item__footer">
          <div class="item__actions">
            <button mat-button color="warn" (click)="deleteItem(item)">Delete</button>
          </div>
          <div class="item__cost">
            <div>{{item.cost | currency}}</div>
          </div>
        </div>
      </div>
      <a class="item item--add" [routerLink]="['/item/add']">
          <p>Add item</p>
      </a>
    </ng-container>
    <ng-template #noItems>
      <h1 class="items-list__not-items"><a [routerLink]="['add']">No items</a></h1>
    </ng-template>
  </div>
</div>
